Bug 274390 - When debugging through KDevelop, I get a M1 Type Error
Summary: When debugging through KDevelop, I get a M1 Type Error
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: CPP Debugger (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: 4.2.0
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-29 00:25 UTC by Steven Sroka
Modified: 2011-06-08 23:20 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot of error message (30.25 KB, image/png)
2011-05-29 00:25 UTC, Steven Sroka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steven Sroka 2011-05-29 00:25:56 UTC
Created attachment 60420 [details]
Screenshot of error message

Version:           unspecified (using KDE 4.6.3) 
OS:                Linux

I can't debug my programming without getting a M1 Type Error in the middle of sepping through the code. I can continue after I get the error message though.

Reproducible: Always

Steps to Reproduce:
Build a project. Click "Debug". Press "Step Into" a few times (x5 times or so).

Actual Results:  
A dialog box appears with an error message. See attachment.

Expected Results:  
Debugger to complete successfully.

I'm using version 4.2.2 (this version option is not listed in the dropdown menu on the bug form)
Comment 1 Andrey Batyiev 2011-05-30 02:04:25 UTC
What gdb version do you use? Do you use .gdbinit file or any other gdb startup tuning?
Comment 2 Milian Wolff 2011-05-30 15:28:02 UTC
waiting for user info
Comment 3 Steven Sroka 2011-06-01 00:34:48 UTC
I use version 7.2-1ubuntu11.

I haven't personally added/edited any gdb files. I also just did a search of my linux partition and I could not find tht file.
Comment 4 Niko Sams 2011-06-08 23:20:14 UTC
Git commit 6a681b77de3f5552d61eff6b5b79ad7c8e3f3535 by Niko Sams.
Committed on 07/06/2011 at 19:48.
Pushed by nsams into branch 'master'.

Fix Internal Debugger Error when clicking step into too fast

Always wait for a gdb reply (^done or ^running) before sending
the next command. *stopped is not a reply, as ^done will follow
and everything will get out of sync.
Also remove a workaround for handling attach response, as this
had apperently the same problem.

BUG: 274390

M  +16   -23   debuggers/gdb/gdb.cpp     
M  +3    -0    debuggers/gdb/gdb.h     
A  +29   -0    debuggers/gdb/unittests/debugeeqt.cpp         [License: LGPL (v2)]
M  +17   -0    debuggers/gdb/unittests/gdbtest.cpp     
M  +1    -0    debuggers/gdb/unittests/gdbtest.h     

http://commits.kde.org/kdevelop/6a681b77de3f5552d61eff6b5b79ad7c8e3f3535